Subject: Re: bug#24107: 25.1; menu-bar-size and tool-bar-size are reported inconsistently on w32

From: martin rudalics <[email-masked]>
Date: Sat, 30 Jul 2016 10:22:14 +0200

>   emacs -Q
 >   M-: (frame-geometry) RET
 >
 > When I do this on MS-Windows, I get
 >
 >    ... (menu-bar-size 672 . 19) ... (tool-bar-size 680 . 36) ...
 >
 > which looks incorrect, because the width of both is the same.  I think
 > the width of the menu bar is the correct one.  The reason I think that
 > is that when I disable the scroll bars, the width reported for the
 > menu bar is exactly the window-body-width plus the 16 pixels used up
 > by the fringes.

It's the best I came up with so far.  I can't use the width of the menu
bar: Try doing

(set-frame-parameter nil 'internal-border-width 36)

and you'll see what I mean.

BTW the Lucid and Motif builds _do_ report the same width for menu and
tool bar which is wrong with a non-zero internal border width.

martin